AutoCAD .NET :: Cannot Store Multiple Selection Sets
Nov 15, 2012
From the AutoDESK docs [URL] ......
"AutoCAD.Application.ActiveDocument.SelectionSets. Add method
Not needed/provided" in VB.Net
Thus 'Autodesk.AutoCAD.ApplicationServices.Application. DocumentManager.MdiActiveDocument.SelectionSets' will not work.
So, I can't store multiple selection sets in VB.Net?
Why is it not provided? Or is there some other way to do that?
View 9 Replies
ADVERTISEMENT
Jul 18, 2012
I have already a Selection Set called objSS. All the objects in this Set are Multi Text, so I am wondering how is possible to have access to the property Text Height of these objects inside the Set in order to change the value of this property. I have created a variable as AcadMText but is not possible for me to loaded it with any item from objSS.
View 3 Replies
View Related
Nov 14, 2011
By doing this simple command I get this error message after a while of working... 2011Map 3d, Windows 7, 64 bit....
Select Line:
Select objects: 1 found
Select objects:
; error: exceeded maximum number of selection sets
Is there a setvar or toggle to change the max number of selection sets or to change to an unlimited setting anywhere?
At this time I have to save my work and close the dwg, reopen the dwg and I can resume picking objects etc., with no problems, untill it reaches the "majic" number and the error pops up.
View 3 Replies
View Related
Nov 1, 2011
I have a lisp routine that creates a "frame wall" and I want to be able to automatically dimension said wall within the same routine. I have created two sets of points, each set being on its own new layer. I have made selection sets of each set of points, and want to cycle through each set dimensioning as required. This what I have so far for this part of the routine:
(command "DIMSCALE" 24)
(setq sel1 (ssget "x" '("VPOINTS")))
(setq TC (polar (ssname sel1 0) (dtr 180.0) 9))
(command "DIMLINEAR" (ssname sel1 0) (ssname sel1 1)) "V" (polar TC (dtr 180.0) 9) "")
[code]...
When I run the program I get the error: bad point argument. So what I think is happening is that the ssname command is not returning the actual value but just the name? I am new to AutoLisp and even newer to selection sets so be easy... Along with this, I am also curious as to how a selection set is ordered when it is chosen ie how does it determine what would be in (ssname sel1 0). Also, how would one go about deleting the points in these selection sets after the dimensioning has been completed.
View 5 Replies
View Related
Jan 10, 2002
I wish to collect a selection set of blocks in paperspace of a certain name. For model space I would use the following line:
(setq x1 (ssget "_x" '((2 . "*etc*") (410 . "model"))))
when it comes to setting paperspace as the 410 ssget list value as the name can be modified and I need it to work in all drawings. I tried
setting a variable to the paperspace layout name and using a print function at the (410 . "model") point but without sucess.
View 9 Replies
View Related
Oct 3, 2011
I wrote a lisp program which creates a selection set using ssget. Then I use the bounding box commands to get the lowest point of that selection set. Now I want to move that selection set as a whole using the vla-move command. I am having trouble doing this. Is this possible? Can we vla-move a selection set? Is there a workaround?
View 2 Replies
View Related
Oct 13, 2011
I need to explode ~2000 PolyFace meshes in a drawing.Manually I can do the following:
> QSELECT - PolyFace Mesh - Select All
> Explode
I get a question if I want to "Disregard DrawingOrder for this operation due to the fact that it might take some time", by selecting "Yes" the process takes ~10 minutes (one explode).With an VBA automation I do the following:
> Create a selection set of all PolyFace meshes
> Explode each obj (2000 times) in the selection set with SendCommand (as .Explode does not work on polyface mesh objects)
I have waited hours for the same process (might be due to multiple explodes and/or screen updating taking place).I have always though automation is faster than manual work, but this proved me wrong.So to the questions:
1. How can I prevent screen updating in VBA (disregard draw order) during "long actions"
2. Is there a better way to explode a selection set than looping through each and every object calling explode (obj.handle)
For one drawing I can do it in 10 minutes, but I have 50 drawings with the need to explode this, having an automation run over night sounds great, but having it take 6x+ times longer for each drawing causes the night not to be long enough.
View 4 Replies
View Related
Jul 27, 2013
I need to create a command which could change a color of an allready existing selection set when activated. For example i have a command which creates a cube, where each specific group of lines were added to different selection sets. how can i recall any created selection set by its name and change its color?
View 9 Replies
View Related
Mar 19, 2012
It's possible to create a dynamic block programatically? I want to create a command that captures different selection sets of drawing objects and assign them to different Visibility States of a new block deffinition, on run time.
View 2 Replies
View Related
Oct 28, 2013
Have created 3 sheet sets. Like to create a sheet set with all 3 and still keep the original 3 sheet sets.
View 2 Replies
View Related
Mar 16, 2012
I've got a multi-family building where I'm trying to create a schedule tag that will number walls sequentially in a view drawing. The units are elements that are then brought into a construct and mirrored and rotated as needed.
The first thing I did was to create a Property Set that uses Level and Manual property set that automatically increments to create a property called Unit Number. Then created a tag that will number the units in my building i.e. : 201 202 etc. This works fine.
I then created a Property Set to apply to the walls that uses the Unit Number from the other Property Set along with a Manual Property Set that increments as well to create a wall tag. What I am expecting to get is 201-01, 201-02 etc. What I’m getting is ?-01, ?-02 etc.
View 7 Replies
View Related
Nov 2, 2011
Any way in AutoCAD or a 3rd party app that will send multiple sheet sets to the plotter? Even better if it is possible using 'Page Setup Overrides'.
View 3 Replies
View Related
Jan 21, 2013
I am in the process of generating a separate package which is a suppliment to the main package for a project. The sheets from the suppliment will be incorporated into the main project, but many sheets from the main project will not be included in the suppliment.
My thought was to make a separate sheet set that shares layouts with the main set which I was able to do by making a copy and renaming the .DST file. Now I see that supposedly a single layout cannot exist in two sheet sets. I ended up working around this by creating a sheet in SSM with the same # and Name in each Sheet Set and was able to get them to appear in both. Want to find out if I'm creating a landmine of a problem down the road or if there is a better way to do what I'm doing. In the past, I beleive we simply selectively printed only the appropriate sheets but on that project it was cumbersome and at the scale of this project it will be worse.
View 8 Replies
View Related
Dec 31, 2013
I'm having an intermittent issue with my publish command. So far the pattern seems to be on drawings with a larger number of sheets (last one was 15, this one is 7). When I get the publish dialog box, I'll set the number of copies to however many I need but it ends up only printing one set. It doesn't happen every time. Just with these two drawings so far. They have nothing to do with each other and haven't shared any data. The only similiarity is that they're both older projects that were started some years ago on previous CAD versions.
View 7 Replies
View Related
Feb 2, 2014
how to take multiple A3 Layouts, and instead of having to plot and select each layout, can I select all the layouts and have them Pdf into one document.
I have had a look at publish and tried to do it, but they are still printing as individual sheets. What exactly does the term "sheet sets" mean. Is this what I am trying to achieve or is this a different action?
View 4 Replies
View Related
Aug 1, 2012
My edit named selection sets window will not open. The button will not work nor the shortcut under EDIT, i have restarted, i have competely uninstalled max and i have updated with FBX plugins from autodesk. I use this command A LOT and it will not open.
View 2 Replies
View Related
Apr 18, 2011
I set up some selection sets thinking they would come in handy later on when I am painting. I thought I would be able to use them to paint my layer masks, but I cant figure out a way of using the selection to limit where I am painting inside the mask. I thought convert to a freeze but it seems paint layers ignore frozen areas. Is it possible, or is it a case of saving selections for sculpt and not for paitning?
View 7 Replies
View Related
Jul 17, 2012
I'm struggling with Selection Sets in 2012 Adv..I have a batch fx with 3 Action nodes in it. Each has a lot of stuff so I was hoping to use Selection Sets to quickly pull up the kfs I needed to tweek.
I set up about 4 sets but once I exit and go back in 3 of the sets (the ones in the action node I'm currently working in) have cleared. ie, they're still there but empty. The one set I've defined for the other Action node is ok.
I have tried setting them with 'Define' and with 'Add Selection to'.I think I must be missing one trick here, like not saving correctly?
View 9 Replies
View Related
Jul 12, 2011
When I select a hatch or polyline or any object with grips for that matter, and hold down shift to select multiple grips on the object or objects and then press my middle mouse button to pan or scroll it to zoom, the grips that I have selected de-select, meaning I have to set up the view so that all the grips I want to move are visible before selecting them.
This is only happening on some drawings (although it is most of them) and only when I use 2012 not 2011. Which system variable it is that has gone screwy that I need to reset? or is it something else?
View 9 Replies
View Related
Oct 10, 2012
I am trying to find a way to assign keyboard shortcuts for different selection sets functions/commands.
I failed to find selection set commands in customize user interface menu. seems that they named it in a manner so that people cant find them when they simply look for "selection" or "set" or "create selection set" or "make selection set" .
what I need is:
1. when I select a group of objects I want to make them a selection set with one keyboard shortcut. (to go to the sets menu window and press that "create a selection set" button is too time consuming. I am also aware that just writing a letter to the selection sets dialog creates a set but still I want that shortcut.)
2.select an object and immediately jump to the whole selection set with a keyboard shortcut. or toggle through selection sets.
3.delete the active selection set with one keyboard shortcut.
are these functions available as native commands in customize user interface?should I go looking for a maxscript ?
View 1 Replies
View Related
Jul 5, 2012
I'm detailing a simple square plate with a good number of holes in it. I create an ordiate set running vertically along the LH edge and select the holes that are close to that side. Origin is the lower LH corner. Works great, easy.
The holes that are closer to the RH side though I'd like to show on that side. So I go to create a second ordinate set for the RH side and choose the lower RH corner as the origin and choose my holes that are close to that edge. The 2nd set will automatically show a second "0.000" dimension on the bottom edge and I can't supress it by right clicking.
Is there a better way to do this? What I've done now is to not use a set but just choose ordinate dimension and go from the opposite edge, which works.... But alignment is better with a set.
View 9 Replies
View Related
Mar 15, 2012
I get this prompt while copying sequences between projects with gateway-linked footage, and I'm not sure what it means.
---------------------------------------------------------------------
CLIP MGT: Unmanaged media contained in selection. Store media on Wire?
---------------------------------------------------------------------
Is it asking me if I want to store a local copy or stonifize the media?
View 3 Replies
View Related
Aug 12, 2010
I've been able to find very little documentation (mostly just user requests) about having multiple guide sets in Photoshop. I really think this would be a useful tool.
View 47 Replies
View Related
May 21, 2012
I'm having trouble getting mudbox to recognize multiple uv tiles set up in max. To start with I followed Neil's tutorial here: [URL]
So I basically unwrapped my model and moved my UV islands into different 'quadrants' (uv tiles). Q: is this all that is required to set up the tiles correctly?
If I then export this object as an obj or an fbx into mudbox the uv view only shows 1 tile?
basically i want to texture a large landscape in mudbox and 1 4k map wil not cut it, i need to split it up into 4 x 4k maps to get enough res.
View 1 Replies
View Related
Apr 25, 2012
to select object on a single layer
Dim strLayer as string = "road"acTypValAr.SetValue(New TypedValue(DxfCode.LayerName, strLayer), 2)
how do you select all objects on multiple layers
Dim strLayer as string = "road,sidewalks"acTypValAr.SetValue(New TypedValue(DxfCode.LayerName, strLayer), 2)
the above does not work. how do you select all objects on multiple layers?
View 3 Replies
View Related
Jul 23, 2013
Ncopy let us to copy object from blocks without explode but I couldn't select object multiple or by window selection..
what I can do to select multiple while using NCOPY command.
View 6 Replies
View Related
Jan 11, 2013
There are blocks in the drawing, each containing several nested entities. Need a command which would find all the nested entities which got into the selection area provided by user (not necessary to select entities, just get the ids). GetNestedEntity() does what I need but for a single entity only.
Selection of 'Trim' command does exactly what I need. How could I achieve the same behaviour?
View 5 Replies
View Related
Mar 22, 2012
All of a sudden my Cad is now not allowing me to select multiple items one at a time without deselected the ones before. Everytime I select a new item to move it, the grips off of another item I would be moving would deselect. Where is the setting to set this back to where I can individually select multiple items without AutoCad deselecting the what I had selected already.
View 3 Replies
View Related
Sep 30, 2013
i'm trying to create a routine, where i can select multiple windows in modelspace, and the plot a multisheet pdf.but I'm having trouble to create multiple pages, it only generates 1 page
I have modified sourcecode from Kean Walmsley:
[URL]
- this routine creates a single-page pdf with only the last selected window.
- the pc3-file I use is able to create multisheets because the original routine with paperspace works fine
- I think it has maybe something to do with the pi.Layout = lo.Id ?
<CommandMethod("mplot2")> Public Sub MultiSheetPlot2() Dim doc As Document = Application.DocumentManager.MdiActiveDocument Dim ed As Autodesk.AutoCAD.EditorInput.Editor = doc.Editor Dim db As Database = doc.Database Dim tr As Transaction = db.TransactionManager.StartTransaction() Using tr Dim bt As BlockTable = DirectCast(tr.GetObject(db.BlockTableId, OpenMode.ForRead), BlockTable) Dim pi As New PlotInfo() Dim piv As New PlotInfoValidator() piv.MediaMatchingPolicy = MatchingPolicy.MatchEnabled ' A PlotEngine does the actual plotting ' (can also create one for Preview) If PlotFactory.ProcessPlotState = Autodesk.AutoCAD.PlottingServices.ProcessPlotState.NotPlotting Then Dim pe As PlotEngine = PlotFactory.CreatePublishEngine() Using pe ' Create a Progress
[code]....
View 6 Replies
View Related
May 11, 2012
My question is, if there any tool /command, utility in autocad to select all objects of one type at one time : for example all text objects or all dimention objects if these objects on different layers and have different properties. in my work I have to insert many blocks(not annotative) or parts of drawings which were created by other people and have different from mine settings and properties of text and dimention objects. the insertions add so many layers and objects that I spend lots of time to correct them and to figure it out.
is there any way( command, utility) to select and manage all of these objects at one time?
P.S.i think it is very unconvenient that the plain autocad does not have dimentions and text as families or some sort of groups that s easy to manage.
View 1 Replies
View Related
Jun 25, 2013
What are the rules for how elements (specifically, collections and other collection sets) are ordered within a collection set?
I was trying to get a collection to appear at the top of the list of items in a collection set, but it seems to get stuffed below all the other collection sets regardless of the name given to the collection.
View 2 Replies
View Related